Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.signature
Interface JCAStandardNames

    public interface JCAStandardNames

Java cryptography standard algorithm names as used by the signature card services.
For an exact definition of the algorithms see http://java.sun.com/products/jdk/1.2/docs/guide/security/CryptoSpec.html.

Version:
  $Id: JCAStandardNames.java,v 1.1.1.1 1999/10/05 15:08:48 damke Exp $
Author:
  Peter Bendel (peter_bendel@de.ibm.com)

Field Summary
`static java.lang.String` | `DES_CIPHER` DES ciphering
`static java.lang.String` | `ISO_PADDING` ISO 9796
`static java.lang.String` | `MD5` MD5 hash
`static java.lang.String` | `PKCS_PADDING` PKCS # 1 padding
`static java.lang.String` | `PKCS8_PADDING` PKCS # 8 padding
`static java.lang.String` | `RAW_DSA` DSA assymetric PKA algorithm (without hashing)
`static java.lang.String` | `RAW_RSA` RSA pka algorithm (without hashing)
`static java.lang.String` | `SHA1` SHA-1 hash
`static java.lang.String` | `SHA1_DSA` DSA pka algorithm including SHA-1 hashing
`static java.lang.String` | `SHA1_RSA` SHA-1 hash and RSA pka algorithm
`static java.lang.String` | `ZERO_PADDING` zero padding

Field Detail

### SHA1_RSA

    static final java.lang.String SHA1_RSA

  SHA-1 hash and RSA pka algorithm

  See Also:
    Constant Field Values

### RAW_RSA

    static final java.lang.String RAW_RSA

  RSA pka algorithm (without hashing)

  See Also:
    Constant Field Values

### SHA1_DSA

    static final java.lang.String SHA1_DSA

  DSA pka algorithm including SHA-1 hashing

  See Also:
    Constant Field Values

### RAW_DSA

    static final java.lang.String RAW_DSA

  DSA assymetric PKA algorithm (without hashing)

  See Also:
    Constant Field Values

### SHA1

    static final java.lang.String SHA1

  SHA-1 hash

  See Also:
    Constant Field Values

### MD5

    static final java.lang.String MD5

  MD5 hash

  See Also:
    Constant Field Values

### ZERO_PADDING

    static final java.lang.String ZERO_PADDING

  zero padding

  See Also:
    Constant Field Values

### PKCS_PADDING

    static final java.lang.String PKCS_PADDING

  PKCS # 1 padding

  See Also:
    Constant Field Values

### PKCS8_PADDING

    static final java.lang.String PKCS8_PADDING

  PKCS # 8 padding

  See Also:
    Constant Field Values

### ISO_PADDING

    static final java.lang.String ISO_PADDING

  ISO 9796

  See Also:
    Constant Field Values

### DES_CIPHER

    static final java.lang.String DES_CIPHER

  DES ciphering

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD